<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:predio="http://java.sun.com/jsf/composite/predio"

      xmlns:testCC="http://java.sun.com/jsf/composite/testCC">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            probando pasar el nombre de un método como attributo de un composite component para ser ejecutado allí  <br/>

            <br/>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <h:form prependId="false">
                <testCC:receiveMethodAttributeCC
                    methodAttr="#{validator.listener1}"
                    id="spCC" />
            </h:form>

        </h:body>
    </f:view>
</html>